be.ehealth.technicalconnector.validator

## Class ValidatorHelper

- java.lang.Object
- - be.ehealth.technicalconnector.validator.ValidatorHelper

-     public final class ValidatorHelper
      extends Object

  Helper class for XML Validation

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `validate(Object jaxbObj, Class xmlClass, String rootSchemaFileLocation)` Validates a JAXB object
    `static void` | `validate(Object jaxbObj, String rootSchemaFileLocation)` Validates a JAXB object
    `static void` | `validate(Source source, boolean xop, String... schemaLocations)`
    `static void` | `validate(Source source, String... schemaLocations)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### validate

          public static void validate(Source source,
                                      boolean xop,
                                      String... schemaLocations)
                               throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### validate

          public static void validate(Source source,
                                      String... schemaLocations)
                               throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### validate

          public static void validate(Object jaxbObj,
                                      String rootSchemaFileLocation)
                               throws TechnicalConnectorException

      Validates a JAXB object
      Throws:
        `TechnicalConnectorException`

    - #### validate

          public static void validate(Object jaxbObj,
                                      Class xmlClass,
                                      String rootSchemaFileLocation)
                               throws TechnicalConnectorException

      Validates a JAXB object
      Throws:
        `TechnicalConnectorException`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.